angular.module('focaAbmVehiculo')
    .factory('focaAbmVehiculoService', ['$http', 'API_ENDPOINT', function($http, API_ENDPOINT) {
        return {
            getVehiculos: function() {
                return $http.get(API_ENDPOINT.URL + '/vehiculo');
            },
            getVehiculo: function(id) {
                return $http.get(API_ENDPOINT.URL + '/vehiculo/' + id);
            },
            getTransportistas: function() {
                return $http.get(API_ENDPOINT.URL + '/transportista');
            },
            guerdarVehiculo: function(vehiculo) {
                return $http.post(API_ENDPOINT.URL + '/vehiculo', {vehiculo: vehiculo});
            },
            deleteVehiculo: function(id) {
                return $http.delete(API_ENDPOINT.URL + '/vehiculo/' + id);
            }
        };
    }]);
